Enviar mensaje al agente
POST
/partner/tenants/{tenant_id}/chat
const url = 'https://api.overtaker.online/api/v1/partner/tenants/example/chat';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"message":"example","session_id":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.overtaker.online/api/v1/partner/tenants/example/chat \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "message": "example", "session_id": "example" }'Envía un mensaje al agente IA del tenant y recibe su respuesta.
Authorizations
Sección titulada «Authorizations »Parameters
Sección titulada « Parameters »Path Parameters
Sección titulada «Path Parameters » tenant_id
required
Tenant Id
string
Request Body required
Sección titulada «Request Body required » Media type application/json
PartnerChatRequest
object
message
required
Message
string
session_id
required
Session Id
string
Example generated
{ "message": "example", "session_id": "example"}Responses
Sección titulada « Responses »Successful Response
Media type application/json
Example generated
exampleValidation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}